/*******************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only
* intended for use with Renesas products. No other uses are authorized. This
* software is owned by Renesas Electronics Corporation and is protected under
* all applicable laws, including copyright laws.
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
* THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT
* LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE
* AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
* TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS
* ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE
* FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR
* ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE
* BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software
* and to discontinue the availability of this software. By using this software,
* you agree to the additional terms and conditions found by accessing the
* following link:
* http://www.renesas.com/disclaimer*
* Copyright (C) 2015 Renesas Electronics Corporation. All rights reserved.
*******************************************************************************/
#include "img_tbl.h"

const dsp_bmpinf_t dsp_bitmap_tbl[DSP_IMG_TBL_SIZE] = {
    {   /* DSP_IMG_ID_AUDIO */
        DSP_IMG_TP_AUDIO, 
        &dsp_img_audio[0], 
        DSP_IMG_WS_AUDIO, 
        DSP_IMG_HS_AUDIO
    },
    {   /* DSP_IMG_ID_AUDIO_BAR */
        DSP_IMG_TP_AUDIO_BAR, 
        &dsp_img_audio_bar[0], 
        DSP_IMG_WS_AUDIO_BAR, 
        DSP_IMG_HS_AUDIO_BAR
    },
    {   /* DSP_IMG_ID_AUDIO_BUTTON1 */
        DSP_IMG_TP_AUDIO_BUTTON1, 
        &dsp_img_audio_button1[0], 
        DSP_IMG_WS_AUDIO_BUTTON1, 
        DSP_IMG_HS_AUDIO_BUTTON1
    },
    {   /* DSP_IMG_ID_AUDIO_BUTTON1D */
        DSP_IMG_TP_AUDIO_BUTTON1D, 
        &dsp_img_audio_button1d[0], 
        DSP_IMG_WS_AUDIO_BUTTON1D, 
        DSP_IMG_HS_AUDIO_BUTTON1D
    },
    {   /* DSP_IMG_ID_AUDIO_BUTTON2 */
        DSP_IMG_TP_AUDIO_BUTTON2, 
        &dsp_img_audio_button2[0], 
        DSP_IMG_WS_AUDIO_BUTTON2, 
        DSP_IMG_HS_AUDIO_BUTTON2
    },
    {   /* DSP_IMG_ID_AUDIO_BUTTON2D */
        DSP_IMG_TP_AUDIO_BUTTON2D, 
        &dsp_img_audio_button2d[0], 
        DSP_IMG_WS_AUDIO_BUTTON2D, 
        DSP_IMG_HS_AUDIO_BUTTON2D
    },
    {   /* DSP_IMG_ID_AUDIO_BUTTON3 */
        DSP_IMG_TP_AUDIO_BUTTON3, 
        &dsp_img_audio_button3[0], 
        DSP_IMG_WS_AUDIO_BUTTON3, 
        DSP_IMG_HS_AUDIO_BUTTON3
    },
    {   /* DSP_IMG_ID_AUDIO_BUTTON3D */
        DSP_IMG_TP_AUDIO_BUTTON3D, 
        &dsp_img_audio_button3d[0], 
        DSP_IMG_WS_AUDIO_BUTTON3D, 
        DSP_IMG_HS_AUDIO_BUTTON3D
    },
    {   /* DSP_IMG_ID_AUDIO_BUTTON4 */
        DSP_IMG_TP_AUDIO_BUTTON4, 
        &dsp_img_audio_button4[0], 
        DSP_IMG_WS_AUDIO_BUTTON4, 
        DSP_IMG_HS_AUDIO_BUTTON4
    },
    {   /* DSP_IMG_ID_AUDIO_BUTTON4D */
        DSP_IMG_TP_AUDIO_BUTTON4D, 
        &dsp_img_audio_button4d[0], 
        DSP_IMG_WS_AUDIO_BUTTON4D, 
        DSP_IMG_HS_AUDIO_BUTTON4D
    },
    {   /* DSP_IMG_ID_AUDIO_WINDOW1 */
        DSP_IMG_TP_AUDIO_WINDOW, 
        &dsp_img_audio_window[DSP_IMG_ST_AUDIO_WINDOW1], 
        DSP_IMG_WS_AUDIO_WINDOW1, 
        DSP_IMG_HS_AUDIO_WINDOW1
    },
    {   /* DSP_IMG_ID_AUDIO_WINDOW2 */
        DSP_IMG_TP_AUDIO_WINDOW, 
        &dsp_img_audio_window[DSP_IMG_ST_AUDIO_WINDOW2], 
        DSP_IMG_WS_AUDIO_WINDOW2, 
        DSP_IMG_HS_AUDIO_WINDOW2
    },
    {   /* DSP_IMG_ID_AUDIO_WINDOW3 */
        DSP_IMG_TP_AUDIO_WINDOW, 
        &dsp_img_audio_window[DSP_IMG_ST_AUDIO_WINDOW3], 
        DSP_IMG_WS_AUDIO_WINDOW3, 
        DSP_IMG_HS_AUDIO_WINDOW3
    },
    {   /* DSP_IMG_ID_AUDIO_WINDOW4 */
        DSP_IMG_TP_AUDIO_WINDOW, 
        &dsp_img_audio_window[DSP_IMG_ST_AUDIO_WINDOW4], 
        DSP_IMG_WS_AUDIO_WINDOW4, 
        DSP_IMG_HS_AUDIO_WINDOW4
    },
    {   /* DSP_IMG_ID_BACK1 */
        DSP_IMG_TP_BACK, 
        &dsp_img_back[DSP_IMG_ST_BACK1], 
        DSP_IMG_WS_BACK1, 
        DSP_IMG_HS_BACK1
    },
    {   /* DSP_IMG_ID_BACK2 */
        DSP_IMG_TP_BACK, 
        &dsp_img_back[DSP_IMG_ST_BACK2], 
        DSP_IMG_WS_BACK2, 
        DSP_IMG_HS_BACK2
    },
    {   /* DSP_IMG_ID_BACK3 */
        DSP_IMG_TP_BACK, 
        &dsp_img_back[DSP_IMG_ST_BACK3], 
        DSP_IMG_WS_BACK3, 
        DSP_IMG_HS_BACK3
    },
    {   /* DSP_IMG_ID_BACK4 */
        DSP_IMG_TP_BACK, 
        &dsp_img_back[DSP_IMG_ST_BACK4], 
        DSP_IMG_WS_BACK4, 
        DSP_IMG_HS_BACK4
    },
    {   /* DSP_IMG_ID_BACK5 */
        DSP_IMG_TP_BACK, 
        &dsp_img_back[DSP_IMG_ST_BACK5], 
        DSP_IMG_WS_BACK5, 
        DSP_IMG_HS_BACK5
    },
    {   /* DSP_IMG_ID_BACK6 */
        DSP_IMG_TP_BACK, 
        &dsp_img_back[DSP_IMG_ST_BACK6], 
        DSP_IMG_WS_BACK6, 
        DSP_IMG_HS_BACK6
    },
    {   /* DSP_IMG_ID_BAR_LEFT */
        DSP_IMG_TP_BAR_LEFT, 
        &dsp_img_bar_left[0], 
        DSP_IMG_WS_BAR_LEFT, 
        DSP_IMG_HS_BAR_LEFT
    },
    {   /* DSP_IMG_ID_BAR_MID */
        DSP_IMG_TP_BAR_MID, 
        &dsp_img_bar_mid[0], 
        DSP_IMG_WS_BAR_MID, 
        DSP_IMG_HS_BAR_MID
    },
    {   /* DSP_IMG_ID_BAR_RIGHT */
        DSP_IMG_TP_BAR_RIGHT, 
        &dsp_img_bar_right[0], 
        DSP_IMG_WS_BAR_RIGHT, 
        DSP_IMG_HS_BAR_RIGHT
    },
    {   /* DSP_IMG_ID_MODE */
        DSP_IMG_TP_MODE, 
        &dsp_img_mode[0], 
        DSP_IMG_WS_MODE, 
        DSP_IMG_HS_MODE
    },
    {   /* DSP_IMG_ID_RENESAS */
        DSP_IMG_TP_RENESAS, 
        &dsp_img_renesas[0], 
        DSP_IMG_WS_RENESAS, 
        DSP_IMG_HS_RENESAS
    },
    {   /* DSP_IMG_ID_TV */
        DSP_IMG_TP_TV, 
        &dsp_img_tv[0], 
        DSP_IMG_WS_TV, 
        DSP_IMG_HS_TV
    }
};
